Bug 447087 - Several AVC denieds/errors for depmod (invalid context)
Several AVC denieds/errors for depmod (invalid context)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 15:23 EDT by Robert Scheck
Modified: 2008-08-01 11:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-01 11:51:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-05-17 15:23:32 EDT
Description of problem:
type=SELINUX_ERR msg=audit(1211041533.581:273201): security_compute_sid:  
invalid context unconfined_u:unconfined_r:depmod_t:s0-s0:c0.c1023 for 
scontext=unconfined_u:unconfined_r:rpm_script_t:s0-s0:c0.c1023 
tcontext=system_u:object_r:depmod_exec_t:s0 tclass=process
type=SYSCALL msg=audit(1211041533.581:273201): arch=40000003 syscall=11 
success=yes exit=0 a0=8e2a4c0 a1=8e1b048 a2=8e1b1b8 a3=0 items=0 ppid=3171 
pid=3181 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 
tty=pts5 comm="depmod" exe="/sbin/depmod" 
subj=unconfined_u:unconfined_r:depmod_t:s0-s0:c0.c1023 key=(null)
type=SELINUX_ERR msg=audit(1211041542.296:273202): security_compute_sid:  
invalid context unconfined_u:unconfined_r:depmod_t:s0-s0:c0.c1023 for 
scontext=unconfined_u:unconfined_r:rpm_script_t:s0-s0:c0.c1023 
tcontext=system_u:object_r:depmod_exec_t:s0 tclass=process
type=SYSCALL msg=audit(1211041542.296:273202): arch=40000003 syscall=11 
success=yes exit=0 a0=908ea88 a1=904e0f0 a2=90561a0 a3=0 items=0 ppid=3182 
pid=5845 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 
tty=pts5 comm="depmod" exe="/sbin/depmod" 
subj=unconfined_u:unconfined_r:depmod_t:s0-s0:c0.c1023 key=(null)

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.3.1-49
module-init-tools-3.4-13

How reproducible:
Everytime when rebooting.

Actual results:
AVC denied

Expected results:
No AVC denied.
Comment 1 Daniel Walsh 2008-05-19 14:52:21 EDT
What tool are you using to install rpm packages with?

What is it labeled?
Comment 2 Robert Scheck 2008-05-19 15:06:33 EDT
RPM from Fedora (and no not another RPM implementation on this system). 

-rwxr-xr-x  rpm  rpm system_u:object_r:rpm_exec_t:s0     /bin/rpm
-rwxr-xr-x  root root system_u:object_r:depmod_exec_t:s0 /sbin/depmod
Comment 3 Daniel Walsh 2008-07-02 15:29:55 EDT
Lost in the shuffle.  Are you still seeing this?


Note You need to log in before you can comment on or make changes to this bug.